Support Questions
Find answers, ask questions, and share your expertise

ESRI spatial framework and Geometry API libraries for Hadoop

I run HDP 2.4.2. How do I build ESRI spatial framework and Geometry API libraries for Hadoop 2.7, Hive 1.2 and Java 1.8? ESRI currently provides only binaries for older versions of Hadoop and Hive.

1 ACCEPTED SOLUTION

Accepted Solutions

Re: ESRI spatial framework and Geometry API libraries for Hadoop

@sivakumar sudhakarannair girijakumari

Step 1: Build geometry-api (this is a pre-requisite for the spatial framework for hadoop)

Step 2: build spatial framework for hadoop

Build with ant is also supported, see build.xml. Some changes are necessary.

View solution in original post

1 REPLY 1

Re: ESRI spatial framework and Geometry API libraries for Hadoop

@sivakumar sudhakarannair girijakumari

Step 1: Build geometry-api (this is a pre-requisite for the spatial framework for hadoop)

Step 2: build spatial framework for hadoop

Build with ant is also supported, see build.xml. Some changes are necessary.

View solution in original post